Subject: Is this startup too convoluted?
From: [email-masked] (Allan Peda)

14 Dec 1998 05:05:36 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="------------2DBF26D4654C29930504A8CC"
To: cygwin <[email-masked]>

This is a multi-part message in MIME format.
--------------2DBF26D4654C29930504A8CC
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

I am used to adding a jump to cmd.exe option to my WinNT explorer, which
I did via a registry entry (appened at bottom).  In the spirit of having
this, I added something like it to launch bash at the selected folder:
The only way I could get into the desired directory was via a temporary
environmental variable $CURDIR.  Details follow:

** 1.) Registry entry:

REGEDIT4

[HKEY_CLASSES_ROOT\Folder\shell\shellHere]
@="&bash shell here"

[HKEY_CLASSES_ROOT\Folder\shell\shellHere\command]
@="C:\\\\cygnus\\\\cygwin-b20\\\\cygnus.bat %1"

** 2.) To get into the selected directory I modified cygnus.bat, and
profile in c:\cygnus\cyugwin-b20\etc

cygnus.bat
@ECHO OFF
SET CURDIR=%1
SET MAKE_MODE=UNIX
SET PATH=c:\cygnus\CYGWIN~1\H-I586~1\bin;%PATH%
bash --login

** 3.) /cygnus/cygwin-b20/etc/profile:
#!/bin/sh
echo "System /etc/profile found...."
alias vi=//C/progra~1/vim-5.3/vim.exe
alias clear="cmd.exe /c cls"
export HOME=$HOMEPATH
cd `cygpath -p -u $CURDIR`
.. $HOME/.bashrc

Isn't there a better way?

A
=== FYI: command prompt option ===
REGEDIT4

[HKEY_CLASSES_ROOT\Folder\shell\DosHere]
@="Command &Prompt Here"

[HKEY_CLASSES_ROOT\Folder\shell\DosHere\command]
@="C:\\\\WINNT\\\\System32\\\\cmd.exe /k cd %1\\\""

--------------2DBF26D4654C29930504A8CC
Content-Type: text/x-vcard; charset=us-ascii;
 name="allan.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Allan Peda
Content-Disposition: attachment;
 filename="allan.vcf"

begin:vcard 
n:Peda;Allan
tel;work:718-243-1721
x-mozilla-html:FALSE
adr:;;;;;;
version:2.1
email;internet:[email-masked]
fn:Allan Peda
end:vcard

--------------2DBF26D4654C29930504A8CC--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".